//
// OUID.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct OUID: Codable, JSONEncodable, Hashable {

    public var id: Int?
    public var organizationStatus: Bool?
    public var changedByMemberKeyNumeric: Double?
    public var organizationAorOuidKeyNumeric: Double?
    public var organizationMemberCount: Double?
    public var organizationUniqueIdKeyNumeric: Double?
    public var changedByMemberID: String?
    public var changedByMemberKey: String?
    public var organizationAddress1: String?
    public var organizationAddress2: String?
    public var organizationAorOuid: String?
    public var organizationAorOuidKey: String?
    public var organizationCarrierRoute: String?
    public var organizationCity: String?
    public var organizationComments: String?
    public var organizationContactEmail: String?
    public var organizationContactFax: String?
    public var organizationContactFirstName: String?
    public var organizationContactFullName: String?
    public var organizationContactJobTitle: String?
    public var organizationContactLastName: String?
    public var organizationContactMiddleName: String?
    public var organizationContactNamePrefix: String?
    public var organizationContactNameSuffix: String?
    public var organizationContactPhone: String?
    public var organizationContactPhoneExt: String?
    public var organizationMlsCode: String?
    public var organizationMlsVendorName: String?
    public var organizationMlsVendorOuid: String?
    public var organizationName: String?
    public var organizationNationalAssociationId: String?
    public var organizationPostalCode: String?
    public var organizationPostalCodePlus4: String?
    public var organizationStateLicense: String?
    public var organizationUniqueId: String?
    public var organizationUniqueIdKey: String?
    public var organizationAOR: String?
    public var organizationCountry: String?
    public var organizationCountyOrParish: String?
    public var organizationSocialMediaType: String?
    public var organizationStateLicenseState: String?
    public var organizationStateOrProvince: String?
    public var organizationType: String?
    public var modificationTimestamp: Date?
    public var organizationStatusChangeTimestamp: Date?
    public var originalEntryTimestamp: Date?
    public var changedByMember: Member?
    public var originatingSystemContacts: [Contacts]?
    public var sourceSystemContacts: [Contacts]?
    public var originatingSystemHistoryTransactionals: [HistoryTransactional]?
    public var sourceSystemHistoryTransactionals: [HistoryTransactional]?
    public var actorOriginatingSystemInternetTrackings: [InternetTracking]?
    public var actorSourceSystemInternetTrackings: [InternetTracking]?
    public var eventOriginatingSystemInternetTrackings: [InternetTracking]?
    public var eventSourceSystemInternetTrackings: [InternetTracking]?
    public var objectOriginatingSystemInternetTrackings: [InternetTracking]?
    public var objectSourceSystemInternetTrackings: [InternetTracking]?
    public var originatingSystemMembers: [Member]?
    public var sourceSystemMembers: [Member]?
    public var originatingSystemOffices: [Office]?
    public var sourceSystemOffices: [Office]?
    public var originatingSystemOpenHouses: [OpenHouse]?
    public var sourceSystemOpenHouses: [OpenHouse]?
    public var originatingSystemProperties: [Property]?
    public var sourceSystemProperties: [Property]?
    public var originatingSystemQueues: [Queue]?
    public var sourceSystemQueues: [Queue]?
    public var originatingSystemRules: [Rules]?
    public var sourceSystemRules: [Rules]?
    public var originatingSystemSavedSearches: [SavedSearch]?
    public var sourceSystemSavedSearches: [SavedSearch]?
    public var agentOriginatingSystemShowings: [Showing]?
    public var agentSourceSystemShowings: [Showing]?
    public var listingOriginatingSystemShowings: [Showing]?
    public var listingSourceSystemShowings: [Showing]?
    public var showingOriginatingSystemShowings: [Showing]?
    public var showingSourceSystemShowings: [Showing]?
    public var originatingSystemTeamMembers: [TeamMembers]?
    public var sourceSystemTeamMembers: [TeamMembers]?
    public var originatingSystemTeams: [Teams]?
    public var sourceSystemTeams: [Teams]?

    public init(id: Int? = nil, organizationStatus: Bool? = nil, changedByMemberKeyNumeric: Double? = nil, organizationAorOuidKeyNumeric: Double? = nil, organizationMemberCount: Double? = nil, organizationUniqueIdKeyNumeric: Double? = nil, changedByMemberID: String? = nil, changedByMemberKey: String? = nil, organizationAddress1: String? = nil, organizationAddress2: String? = nil, organizationAorOuid: String? = nil, organizationAorOuidKey: String? = nil, organizationCarrierRoute: String? = nil, organizationCity: String? = nil, organizationComments: String? = nil, organizationContactEmail: String? = nil, organizationContactFax: String? = nil, organizationContactFirstName: String? = nil, organizationContactFullName: String? = nil, organizationContactJobTitle: String? = nil, organizationContactLastName: String? = nil, organizationContactMiddleName: String? = nil, organizationContactNamePrefix: String? = nil, organizationContactNameSuffix: String? = nil, organizationContactPhone: String? = nil, organizationContactPhoneExt: String? = nil, organizationMlsCode: String? = nil, organizationMlsVendorName: String? = nil, organizationMlsVendorOuid: String? = nil, organizationName: String? = nil, organizationNationalAssociationId: String? = nil, organizationPostalCode: String? = nil, organizationPostalCodePlus4: String? = nil, organizationStateLicense: String? = nil, organizationUniqueId: String? = nil, organizationUniqueIdKey: String? = nil, organizationAOR: String? = nil, organizationCountry: String? = nil, organizationCountyOrParish: String? = nil, organizationSocialMediaType: String? = nil, organizationStateLicenseState: String? = nil, organizationStateOrProvince: String? = nil, organizationType: String? = nil, modificationTimestamp: Date? = nil, organizationStatusChangeTimestamp: Date? = nil, originalEntryTimestamp: Date? = nil, changedByMember: Member? = nil, originatingSystemContacts: [Contacts]? = nil, sourceSystemContacts: [Contacts]? = nil, originatingSystemHistoryTransactionals: [HistoryTransactional]? = nil, sourceSystemHistoryTransactionals: [HistoryTransactional]? = nil, actorOriginatingSystemInternetTrackings: [InternetTracking]? = nil, actorSourceSystemInternetTrackings: [InternetTracking]? = nil, eventOriginatingSystemInternetTrackings: [InternetTracking]? = nil, eventSourceSystemInternetTrackings: [InternetTracking]? = nil, objectOriginatingSystemInternetTrackings: [InternetTracking]? = nil, objectSourceSystemInternetTrackings: [InternetTracking]? = nil, originatingSystemMembers: [Member]? = nil, sourceSystemMembers: [Member]? = nil, originatingSystemOffices: [Office]? = nil, sourceSystemOffices: [Office]? = nil, originatingSystemOpenHouses: [OpenHouse]? = nil, sourceSystemOpenHouses: [OpenHouse]? = nil, originatingSystemProperties: [Property]? = nil, sourceSystemProperties: [Property]? = nil, originatingSystemQueues: [Queue]? = nil, sourceSystemQueues: [Queue]? = nil, originatingSystemRules: [Rules]? = nil, sourceSystemRules: [Rules]? = nil, originatingSystemSavedSearches: [SavedSearch]? = nil, sourceSystemSavedSearches: [SavedSearch]? = nil, agentOriginatingSystemShowings: [Showing]? = nil, agentSourceSystemShowings: [Showing]? = nil, listingOriginatingSystemShowings: [Showing]? = nil, listingSourceSystemShowings: [Showing]? = nil, showingOriginatingSystemShowings: [Showing]? = nil, showingSourceSystemShowings: [Showing]? = nil, originatingSystemTeamMembers: [TeamMembers]? = nil, sourceSystemTeamMembers: [TeamMembers]? = nil, originatingSystemTeams: [Teams]? = nil, sourceSystemTeams: [Teams]? = nil) {
        self.id = id
        self.organizationStatus = organizationStatus
        self.changedByMemberKeyNumeric = changedByMemberKeyNumeric
        self.organizationAorOuidKeyNumeric = organizationAorOuidKeyNumeric
        self.organizationMemberCount = organizationMemberCount
        self.organizationUniqueIdKeyNumeric = organizationUniqueIdKeyNumeric
        self.changedByMemberID = changedByMemberID
        self.changedByMemberKey = changedByMemberKey
        self.organizationAddress1 = organizationAddress1
        self.organizationAddress2 = organizationAddress2
        self.organizationAorOuid = organizationAorOuid
        self.organizationAorOuidKey = organizationAorOuidKey
        self.organizationCarrierRoute = organizationCarrierRoute
        self.organizationCity = organizationCity
        self.organizationComments = organizationComments
        self.organizationContactEmail = organizationContactEmail
        self.organizationContactFax = organizationContactFax
        self.organizationContactFirstName = organizationContactFirstName
        self.organizationContactFullName = organizationContactFullName
        self.organizationContactJobTitle = organizationContactJobTitle
        self.organizationContactLastName = organizationContactLastName
        self.organizationContactMiddleName = organizationContactMiddleName
        self.organizationContactNamePrefix = organizationContactNamePrefix
        self.organizationContactNameSuffix = organizationContactNameSuffix
        self.organizationContactPhone = organizationContactPhone
        self.organizationContactPhoneExt = organizationContactPhoneExt
        self.organizationMlsCode = organizationMlsCode
        self.organizationMlsVendorName = organizationMlsVendorName
        self.organizationMlsVendorOuid = organizationMlsVendorOuid
        self.organizationName = organizationName
        self.organizationNationalAssociationId = organizationNationalAssociationId
        self.organizationPostalCode = organizationPostalCode
        self.organizationPostalCodePlus4 = organizationPostalCodePlus4
        self.organizationStateLicense = organizationStateLicense
        self.organizationUniqueId = organizationUniqueId
        self.organizationUniqueIdKey = organizationUniqueIdKey
        self.organizationAOR = organizationAOR
        self.organizationCountry = organizationCountry
        self.organizationCountyOrParish = organizationCountyOrParish
        self.organizationSocialMediaType = organizationSocialMediaType
        self.organizationStateLicenseState = organizationStateLicenseState
        self.organizationStateOrProvince = organizationStateOrProvince
        self.organizationType = organizationType
        self.modificationTimestamp = modificationTimestamp
        self.organizationStatusChangeTimestamp = organizationStatusChangeTimestamp
        self.originalEntryTimestamp = originalEntryTimestamp
        self.changedByMember = changedByMember
        self.originatingSystemContacts = originatingSystemContacts
        self.sourceSystemContacts = sourceSystemContacts
        self.originatingSystemHistoryTransactionals = originatingSystemHistoryTransactionals
        self.sourceSystemHistoryTransactionals = sourceSystemHistoryTransactionals
        self.actorOriginatingSystemInternetTrackings = actorOriginatingSystemInternetTrackings
        self.actorSourceSystemInternetTrackings = actorSourceSystemInternetTrackings
        self.eventOriginatingSystemInternetTrackings = eventOriginatingSystemInternetTrackings
        self.eventSourceSystemInternetTrackings = eventSourceSystemInternetTrackings
        self.objectOriginatingSystemInternetTrackings = objectOriginatingSystemInternetTrackings
        self.objectSourceSystemInternetTrackings = objectSourceSystemInternetTrackings
        self.originatingSystemMembers = originatingSystemMembers
        self.sourceSystemMembers = sourceSystemMembers
        self.originatingSystemOffices = originatingSystemOffices
        self.sourceSystemOffices = sourceSystemOffices
        self.originatingSystemOpenHouses = originatingSystemOpenHouses
        self.sourceSystemOpenHouses = sourceSystemOpenHouses
        self.originatingSystemProperties = originatingSystemProperties
        self.sourceSystemProperties = sourceSystemProperties
        self.originatingSystemQueues = originatingSystemQueues
        self.sourceSystemQueues = sourceSystemQueues
        self.originatingSystemRules = originatingSystemRules
        self.sourceSystemRules = sourceSystemRules
        self.originatingSystemSavedSearches = originatingSystemSavedSearches
        self.sourceSystemSavedSearches = sourceSystemSavedSearches
        self.agentOriginatingSystemShowings = agentOriginatingSystemShowings
        self.agentSourceSystemShowings = agentSourceSystemShowings
        self.listingOriginatingSystemShowings = listingOriginatingSystemShowings
        self.listingSourceSystemShowings = listingSourceSystemShowings
        self.showingOriginatingSystemShowings = showingOriginatingSystemShowings
        self.showingSourceSystemShowings = showingSourceSystemShowings
        self.originatingSystemTeamMembers = originatingSystemTeamMembers
        self.sourceSystemTeamMembers = sourceSystemTeamMembers
        self.originatingSystemTeams = originatingSystemTeams
        self.sourceSystemTeams = sourceSystemTeams
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case id
        case organizationStatus = "OrganizationStatus"
        case changedByMemberKeyNumeric = "ChangedByMemberKeyNumeric"
        case organizationAorOuidKeyNumeric = "OrganizationAorOuidKeyNumeric"
        case organizationMemberCount = "OrganizationMemberCount"
        case organizationUniqueIdKeyNumeric = "OrganizationUniqueIdKeyNumeric"
        case changedByMemberID = "ChangedByMemberID"
        case changedByMemberKey = "ChangedByMemberKey"
        case organizationAddress1 = "OrganizationAddress1"
        case organizationAddress2 = "OrganizationAddress2"
        case organizationAorOuid = "OrganizationAorOuid"
        case organizationAorOuidKey = "OrganizationAorOuidKey"
        case organizationCarrierRoute = "OrganizationCarrierRoute"
        case organizationCity = "OrganizationCity"
        case organizationComments = "OrganizationComments"
        case organizationContactEmail = "OrganizationContactEmail"
        case organizationContactFax = "OrganizationContactFax"
        case organizationContactFirstName = "OrganizationContactFirstName"
        case organizationContactFullName = "OrganizationContactFullName"
        case organizationContactJobTitle = "OrganizationContactJobTitle"
        case organizationContactLastName = "OrganizationContactLastName"
        case organizationContactMiddleName = "OrganizationContactMiddleName"
        case organizationContactNamePrefix = "OrganizationContactNamePrefix"
        case organizationContactNameSuffix = "OrganizationContactNameSuffix"
        case organizationContactPhone = "OrganizationContactPhone"
        case organizationContactPhoneExt = "OrganizationContactPhoneExt"
        case organizationMlsCode = "OrganizationMlsCode"
        case organizationMlsVendorName = "OrganizationMlsVendorName"
        case organizationMlsVendorOuid = "OrganizationMlsVendorOuid"
        case organizationName = "OrganizationName"
        case organizationNationalAssociationId = "OrganizationNationalAssociationId"
        case organizationPostalCode = "OrganizationPostalCode"
        case organizationPostalCodePlus4 = "OrganizationPostalCodePlus4"
        case organizationStateLicense = "OrganizationStateLicense"
        case organizationUniqueId = "OrganizationUniqueId"
        case organizationUniqueIdKey = "OrganizationUniqueIdKey"
        case organizationAOR = "OrganizationAOR"
        case organizationCountry = "OrganizationCountry"
        case organizationCountyOrParish = "OrganizationCountyOrParish"
        case organizationSocialMediaType = "OrganizationSocialMediaType"
        case organizationStateLicenseState = "OrganizationStateLicenseState"
        case organizationStateOrProvince = "OrganizationStateOrProvince"
        case organizationType = "OrganizationType"
        case modificationTimestamp = "ModificationTimestamp"
        case organizationStatusChangeTimestamp = "OrganizationStatusChangeTimestamp"
        case originalEntryTimestamp = "OriginalEntryTimestamp"
        case changedByMember = "ChangedByMember"
        case originatingSystemContacts = "OriginatingSystemContacts"
        case sourceSystemContacts = "SourceSystemContacts"
        case originatingSystemHistoryTransactionals = "OriginatingSystemHistoryTransactionals"
        case sourceSystemHistoryTransactionals = "SourceSystemHistoryTransactionals"
        case actorOriginatingSystemInternetTrackings = "ActorOriginatingSystemInternetTrackings"
        case actorSourceSystemInternetTrackings = "ActorSourceSystemInternetTrackings"
        case eventOriginatingSystemInternetTrackings = "EventOriginatingSystemInternetTrackings"
        case eventSourceSystemInternetTrackings = "EventSourceSystemInternetTrackings"
        case objectOriginatingSystemInternetTrackings = "ObjectOriginatingSystemInternetTrackings"
        case objectSourceSystemInternetTrackings = "ObjectSourceSystemInternetTrackings"
        case originatingSystemMembers = "OriginatingSystemMembers"
        case sourceSystemMembers = "SourceSystemMembers"
        case originatingSystemOffices = "OriginatingSystemOffices"
        case sourceSystemOffices = "SourceSystemOffices"
        case originatingSystemOpenHouses = "OriginatingSystemOpenHouses"
        case sourceSystemOpenHouses = "SourceSystemOpenHouses"
        case originatingSystemProperties = "OriginatingSystemProperties"
        case sourceSystemProperties = "SourceSystemProperties"
        case originatingSystemQueues = "OriginatingSystemQueues"
        case sourceSystemQueues = "SourceSystemQueues"
        case originatingSystemRules = "OriginatingSystemRules"
        case sourceSystemRules = "SourceSystemRules"
        case originatingSystemSavedSearches = "OriginatingSystemSavedSearches"
        case sourceSystemSavedSearches = "SourceSystemSavedSearches"
        case agentOriginatingSystemShowings = "AgentOriginatingSystemShowings"
        case agentSourceSystemShowings = "AgentSourceSystemShowings"
        case listingOriginatingSystemShowings = "ListingOriginatingSystemShowings"
        case listingSourceSystemShowings = "ListingSourceSystemShowings"
        case showingOriginatingSystemShowings = "ShowingOriginatingSystemShowings"
        case showingSourceSystemShowings = "ShowingSourceSystemShowings"
        case originatingSystemTeamMembers = "OriginatingSystemTeamMembers"
        case sourceSystemTeamMembers = "SourceSystemTeamMembers"
        case originatingSystemTeams = "OriginatingSystemTeams"
        case sourceSystemTeams = "SourceSystemTeams"
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(id, forKey: .id)
        try container.encodeIfPresent(organizationStatus, forKey: .organizationStatus)
        try container.encodeIfPresent(changedByMemberKeyNumeric, forKey: .changedByMemberKeyNumeric)
        try container.encodeIfPresent(organizationAorOuidKeyNumeric, forKey: .organizationAorOuidKeyNumeric)
        try container.encodeIfPresent(organizationMemberCount, forKey: .organizationMemberCount)
        try container.encodeIfPresent(organizationUniqueIdKeyNumeric, forKey: .organizationUniqueIdKeyNumeric)
        try container.encodeIfPresent(changedByMemberID, forKey: .changedByMemberID)
        try container.encodeIfPresent(changedByMemberKey, forKey: .changedByMemberKey)
        try container.encodeIfPresent(organizationAddress1, forKey: .organizationAddress1)
        try container.encodeIfPresent(organizationAddress2, forKey: .organizationAddress2)
        try container.encodeIfPresent(organizationAorOuid, forKey: .organizationAorOuid)
        try container.encodeIfPresent(organizationAorOuidKey, forKey: .organizationAorOuidKey)
        try container.encodeIfPresent(organizationCarrierRoute, forKey: .organizationCarrierRoute)
        try container.encodeIfPresent(organizationCity, forKey: .organizationCity)
        try container.encodeIfPresent(organizationComments, forKey: .organizationComments)
        try container.encodeIfPresent(organizationContactEmail, forKey: .organizationContactEmail)
        try container.encodeIfPresent(organizationContactFax, forKey: .organizationContactFax)
        try container.encodeIfPresent(organizationContactFirstName, forKey: .organizationContactFirstName)
        try container.encodeIfPresent(organizationContactFullName, forKey: .organizationContactFullName)
        try container.encodeIfPresent(organizationContactJobTitle, forKey: .organizationContactJobTitle)
        try container.encodeIfPresent(organizationContactLastName, forKey: .organizationContactLastName)
        try container.encodeIfPresent(organizationContactMiddleName, forKey: .organizationContactMiddleName)
        try container.encodeIfPresent(organizationContactNamePrefix, forKey: .organizationContactNamePrefix)
        try container.encodeIfPresent(organizationContactNameSuffix, forKey: .organizationContactNameSuffix)
        try container.encodeIfPresent(organizationContactPhone, forKey: .organizationContactPhone)
        try container.encodeIfPresent(organizationContactPhoneExt, forKey: .organizationContactPhoneExt)
        try container.encodeIfPresent(organizationMlsCode, forKey: .organizationMlsCode)
        try container.encodeIfPresent(organizationMlsVendorName, forKey: .organizationMlsVendorName)
        try container.encodeIfPresent(organizationMlsVendorOuid, forKey: .organizationMlsVendorOuid)
        try container.encodeIfPresent(organizationName, forKey: .organizationName)
        try container.encodeIfPresent(organizationNationalAssociationId, forKey: .organizationNationalAssociationId)
        try container.encodeIfPresent(organizationPostalCode, forKey: .organizationPostalCode)
        try container.encodeIfPresent(organizationPostalCodePlus4, forKey: .organizationPostalCodePlus4)
        try container.encodeIfPresent(organizationStateLicense, forKey: .organizationStateLicense)
        try container.encodeIfPresent(organizationUniqueId, forKey: .organizationUniqueId)
        try container.encodeIfPresent(organizationUniqueIdKey, forKey: .organizationUniqueIdKey)
        try container.encodeIfPresent(organizationAOR, forKey: .organizationAOR)
        try container.encodeIfPresent(organizationCountry, forKey: .organizationCountry)
        try container.encodeIfPresent(organizationCountyOrParish, forKey: .organizationCountyOrParish)
        try container.encodeIfPresent(organizationSocialMediaType, forKey: .organizationSocialMediaType)
        try container.encodeIfPresent(organizationStateLicenseState, forKey: .organizationStateLicenseState)
        try container.encodeIfPresent(organizationStateOrProvince, forKey: .organizationStateOrProvince)
        try container.encodeIfPresent(organizationType, forKey: .organizationType)
        try container.encodeIfPresent(modificationTimestamp, forKey: .modificationTimestamp)
        try container.encodeIfPresent(organizationStatusChangeTimestamp, forKey: .organizationStatusChangeTimestamp)
        try container.encodeIfPresent(originalEntryTimestamp, forKey: .originalEntryTimestamp)
        try container.encodeIfPresent(changedByMember, forKey: .changedByMember)
        try container.encodeIfPresent(originatingSystemContacts, forKey: .originatingSystemContacts)
        try container.encodeIfPresent(sourceSystemContacts, forKey: .sourceSystemContacts)
        try container.encodeIfPresent(originatingSystemHistoryTransactionals, forKey: .originatingSystemHistoryTransactionals)
        try container.encodeIfPresent(sourceSystemHistoryTransactionals, forKey: .sourceSystemHistoryTransactionals)
        try container.encodeIfPresent(actorOriginatingSystemInternetTrackings, forKey: .actorOriginatingSystemInternetTrackings)
        try container.encodeIfPresent(actorSourceSystemInternetTrackings, forKey: .actorSourceSystemInternetTrackings)
        try container.encodeIfPresent(eventOriginatingSystemInternetTrackings, forKey: .eventOriginatingSystemInternetTrackings)
        try container.encodeIfPresent(eventSourceSystemInternetTrackings, forKey: .eventSourceSystemInternetTrackings)
        try container.encodeIfPresent(objectOriginatingSystemInternetTrackings, forKey: .objectOriginatingSystemInternetTrackings)
        try container.encodeIfPresent(objectSourceSystemInternetTrackings, forKey: .objectSourceSystemInternetTrackings)
        try container.encodeIfPresent(originatingSystemMembers, forKey: .originatingSystemMembers)
        try container.encodeIfPresent(sourceSystemMembers, forKey: .sourceSystemMembers)
        try container.encodeIfPresent(originatingSystemOffices, forKey: .originatingSystemOffices)
        try container.encodeIfPresent(sourceSystemOffices, forKey: .sourceSystemOffices)
        try container.encodeIfPresent(originatingSystemOpenHouses, forKey: .originatingSystemOpenHouses)
        try container.encodeIfPresent(sourceSystemOpenHouses, forKey: .sourceSystemOpenHouses)
        try container.encodeIfPresent(originatingSystemProperties, forKey: .originatingSystemProperties)
        try container.encodeIfPresent(sourceSystemProperties, forKey: .sourceSystemProperties)
        try container.encodeIfPresent(originatingSystemQueues, forKey: .originatingSystemQueues)
        try container.encodeIfPresent(sourceSystemQueues, forKey: .sourceSystemQueues)
        try container.encodeIfPresent(originatingSystemRules, forKey: .originatingSystemRules)
        try container.encodeIfPresent(sourceSystemRules, forKey: .sourceSystemRules)
        try container.encodeIfPresent(originatingSystemSavedSearches, forKey: .originatingSystemSavedSearches)
        try container.encodeIfPresent(sourceSystemSavedSearches, forKey: .sourceSystemSavedSearches)
        try container.encodeIfPresent(agentOriginatingSystemShowings, forKey: .agentOriginatingSystemShowings)
        try container.encodeIfPresent(agentSourceSystemShowings, forKey: .agentSourceSystemShowings)
        try container.encodeIfPresent(listingOriginatingSystemShowings, forKey: .listingOriginatingSystemShowings)
        try container.encodeIfPresent(listingSourceSystemShowings, forKey: .listingSourceSystemShowings)
        try container.encodeIfPresent(showingOriginatingSystemShowings, forKey: .showingOriginatingSystemShowings)
        try container.encodeIfPresent(showingSourceSystemShowings, forKey: .showingSourceSystemShowings)
        try container.encodeIfPresent(originatingSystemTeamMembers, forKey: .originatingSystemTeamMembers)
        try container.encodeIfPresent(sourceSystemTeamMembers, forKey: .sourceSystemTeamMembers)
        try container.encodeIfPresent(originatingSystemTeams, forKey: .originatingSystemTeams)
        try container.encodeIfPresent(sourceSystemTeams, forKey: .sourceSystemTeams)
    }
}

